Redmine 3.1.1 API Rest and my account page

2015-10-15 10:53 - Franck Samson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.1

Description

Hello,

I use the latest version of redmine and when the API Rest is activated, I can't go to my account page I ve got this error :

Started GET "/redmine/my/account" for  at 2015-10-15 10:43:30 +0200

Processing by MyController#account as HTML

  Current user: ccc (id=5)

  Rendered users/_mail_notifications.html.erb (17.4ms)

  Rendered users/_preferences.html.erb (5.3ms)

  Rendered my/_sidebar.html.erb (4.7ms)

  Rendered my/account.html.erb within layouts/base (39.3ms)

Completed 500 Internal Server Error in 51ms (ActiveRecord: 4.5ms)

ActionView::Template::Error (No route matches {:action=>"show_api_key", :controller=>"my"}):

    21: <% if Setting.rest_api_enabled? %>

    22: <h4><%= l(:label_api_access_key) %></h4>

    23: <div>

    24:   <%= link_to l(:button_show), {:action => 'show_api_key'}, :remote => true %>

    25:   <pre id='api-access-key' class='autoscroll'></pre>

    26: </div>

    27: <%= javascript_tag("$('#api-access-key').hide();") %>

  app/views/my/_sidebar.html.erb:24:in `_app_views_my__sidebar_html_erb___3604902527302737899_7024

2405852180'

  app/views/my/account.html.erb:56:in `block in _app_views_my_account_html_erb__883336876389597527

_70242404894200'

  app/views/my/account.html.erb:55:in `_app_views_my_account_html_erb__883336876389597527_70242404

894200'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 If the Rest Api is deactivated there is no probleme...

Thank for help

Associated revisions

Revision 14677 - 2015-10-15 20:45 - Jean-Philippe Lang

Named routed for RSS/API keys (#20997).

History

#1 - 2015-10-17 11:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

I can not reproduce this error.

I've changed this with named routes in r14677 anyway, this routing error should no longer happen.

#2 - 2015-11-04 09:48 - zhixin wen

Same problem, solved with your changed r14677, thanks!
https://www.redmine.org/projects/redmine/repository/svn/revisions/14677
https://www.redmine.org/projects/redmine/repository/svn/revisions/14677


#3 - 2015-11-30 16:27 - Toshi MARUYAMA

- Description updated
